TechDraw RadiusDimension: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 3: Line 3:
<!--T:18-->
<!--T:18-->
{{Docnav
{{Docnav
|[[TechDraw_Dimension_Vertical|New Vertical]]
|[[TechDraw_Dimension_Vertical|Dimension Vertical]]
|[[TechDraw_Dimension_Diameter|New Diameter]]
|[[TechDraw_Dimension_Diameter|Dimension Diameter]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Module|TechDraw]]
|IconL=TechDraw_Dimension_Vertical.svg
|IconL=TechDraw_Dimension_Vertical.svg
Line 34: Line 34:


<!--T:10-->
<!--T:10-->
# Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
# Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
# Press the {{Button|[[Image:TechDraw_Dimension_Radius.svg|16px]] [[TechDraw_Dimension_Radius|Dimension Radius]]}} button
# Press the {{Button|[[Image:TechDraw_Dimension_Radius.svg|16px]] [[TechDraw_Dimension_Radius|Dimension Radius]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# A dimension will be added to the View. The dimension may be dragged to the desired position.


== Limitations == <!--T:11-->
== Limitations == <!--T:11-->
Line 68: Line 68:
<!--T:19-->
<!--T:19-->
{{Docnav
{{Docnav
|[[TechDraw_Dimension_Vertical|New Vertical]]
|[[TechDraw_Dimension_Vertical|Dimension Vertical]]
|[[TechDraw_Dimension_Diameter|New Diameter]]
|[[TechDraw_Dimension_Diameter|Dimension Diameter]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Module|TechDraw]]
|IconL=TechDraw_Dimension_Vertical.svg
|IconL=TechDraw_Dimension_Vertical.svg

Revision as of 20:45, 21 December 2020

TechDraw Dimension Radius

Menu location
TechDraw → Dimension Radius
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw Dimension Diameter

Description

The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the Link Dimension tool.


Measuring a circle, indicating the radius

Usage

  1. Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
  2. Press the Dimension Radius button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Radius tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)